org.codehaus.plexus.interpolation.fixed

## Class InterpolationState

- java.lang.Object
- - org.codehaus.plexus.interpolation.fixed.InterpolationState

    public class InterpolationState
    extends Object

AN error collector contains the errors accumulated during an interpolation. It is stateful.

### Constructor Summary

Constructors
Constructor and Description
`InterpolationState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFeedback(String message, Throwable cause)`
`List` `asList()`
`void` `clear()`
`void` `setRecursionInterceptor(RecursionInterceptor recursionInterceptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterpolationState

    public InterpolationState()

### Method Detail

#### addFeedback

    public void addFeedback(String message,
                            Throwable cause)

#### asList

    public List asList()

#### clear

    public void clear()

#### setRecursionInterceptor

    public void setRecursionInterceptor(RecursionInterceptor recursionInterceptor)